# -*- coding: utf-8 -*-
# Generated by Django 1.11 on 2017-12-27 07:10
from __future__ import unicode_literals

import django.contrib.postgres.fields
import django.contrib.postgres.fields.ranges
import django.contrib.postgres.validators
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('auto', '0018_auto_deleted'),
        ('service', '0009_auto_20171225_2037'),
    ]

    operations = [
        migrations.AddField(
            model_name='podborauto',
            name='color_salon',
            field=django.contrib.postgres.fields.ArrayField(base_field=models.PositiveSmallIntegerField(choices=[(0, 'Не важно'), (1, 'Светлый'), (2, 'Тёмный')], default=0, verbose_name='Цвет салона'), blank=True, default=list, size=None, verbose_name='Цвет салона'),
        ),
        migrations.AddField(
            model_name='podborauto',
            name='horsepower',
            field=django.contrib.postgres.fields.ranges.IntegerRangeField(blank=True, null=True, validators=[django.contrib.postgres.validators.RangeMinValueValidator(0)], verbose_name='Мощность'),
        ),
        migrations.AddField(
            model_name='podborauto',
            name='year_auto_end',
            field=models.ForeignKey(blank=True, default=None, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='year_auto_end', to='auto.Year', verbose_name='Максимальный год'),
        ),
        migrations.RemoveField(
            model_name='podborauto',
            name='body_type_auto',
        ),
        migrations.AddField(
            model_name='podborauto',
            name='body_type_auto',
            field=models.ManyToManyField(blank=True, default=None, to='auto.BodyType', verbose_name='Тип кузова'),
        ),
        migrations.RemoveField(
            model_name='podborauto',
            name='color_auto',
        ),
        migrations.AddField(
            model_name='podborauto',
            name='color_auto',
            field=django.contrib.postgres.fields.ArrayField(base_field=models.PositiveSmallIntegerField(choices=[(0, 'Не важно'), (1, 'Чёрный'), (2, 'Серебристый'), (3, 'Белый'), (4, 'Серый'), (5, 'Синий'), (6, 'Красный'), (7, 'Зелёный'), (8, 'Коричневый'), (9, 'Бежевый'), (10, 'Голубой'), (11, 'Золотистый'), (12, 'Пурпурный'), (13, 'Фиолетовый'), (14, 'Жёлтый'), (15, 'Оранжевый'), (16, 'Розовый')], default=0, verbose_name='Цвет'), blank=True, default=list, size=None, verbose_name='Цвет'),
        ),
        migrations.RemoveField(
            model_name='podborauto',
            name='drive_type',
        ),
        migrations.AddField(
            model_name='podborauto',
            name='drive_type',
            field=django.contrib.postgres.fields.ArrayField(base_field=models.PositiveSmallIntegerField(choices=[(0, 'Не важно'), (1, 'Передний'), (2, 'Задний'), (3, 'Полный')], default=0, verbose_name='Тип привода'), blank=True, default=list, size=None, verbose_name='Тип привода'),
        ),
        migrations.RemoveField(
            model_name='podborauto',
            name='engine_capacity',
        ),
        migrations.AddField(
            model_name='podborauto',
            name='engine_capacity',
            field=django.contrib.postgres.fields.ranges.FloatRangeField(blank=True, null=True, validators=[django.contrib.postgres.validators.RangeMinValueValidator(0.0)], verbose_name='Объем двигателя'),
        ),
        migrations.RemoveField(
            model_name='podborauto',
            name='engine_type',
        ),
        migrations.AddField(
            model_name='podborauto',
            name='engine_type',
            field=django.contrib.postgres.fields.ArrayField(base_field=models.PositiveSmallIntegerField(choices=[(0, 'Не важно'), (1, 'Бензин'), (2, 'Дизель'), (3, 'Гибрид'), (3, 'Электро')], default=0, verbose_name='Тип двигателя'), blank=True, default=list, size=None, verbose_name='Тип двигателя'),
        ),
        migrations.RemoveField(
            model_name='podborauto',
            name='number_of_hosts',
        ),
        migrations.AddField(
            model_name='podborauto',
            name='number_of_hosts',
            field=models.PositiveSmallIntegerField(blank=True, choices=[(0, 'Не важно'), (1, '1'), (2, '2'), (3, '3'), (4, 'Более трех')], default=0, verbose_name='Количество по ПТС'),
        ),
        migrations.RemoveField(
            model_name='podborauto',
            name='salon_auto',
        ),
        migrations.AddField(
            model_name='podborauto',
            name='salon_auto',
            field=django.contrib.postgres.fields.ArrayField(base_field=models.PositiveSmallIntegerField(choices=[(0, 'Не важно'), (1, 'Ткань'), (2, 'Велюр'), (3, 'Кожа')], default=0, verbose_name='Салон'), blank=True, default=list, size=None, verbose_name='Салон'),
        ),
        migrations.AlterField(
            model_name='podborauto',
            name='selection_period',
            field=models.CharField(blank=True, default='1 месяц', max_length=20, verbose_name='Желаемый срок подбора'),
        ),
        migrations.RemoveField(
            model_name='podborauto',
            name='transmission_type',
        ),
        migrations.AddField(
            model_name='podborauto',
            name='transmission_type',
            field=django.contrib.postgres.fields.ArrayField(base_field=models.PositiveSmallIntegerField(choices=[(0, 'Не важно'), (1, 'Автоматическая'), (2, 'Механическая'), (3, 'Робот'), (4, 'Вариатор')], default=0, verbose_name='Тип трансмиссии'), blank=True, default=list, size=None, verbose_name='Тип трансмиссии'),
        ),
        migrations.RemoveField(
            model_name='podborauto',
            name='year_auto',
        ),
        migrations.AddField(
            model_name='podborauto',
            name='year_auto',
            field=models.ForeignKey(blank=True, default=None, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='year_auto', to='auto.Year', verbose_name='Минимальный год'),
        ),
    ]
